aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarco Leise <marco.leise@gmx.de>2020-05-16 19:32:38 +0200
committerMarco Leise <marco.leise@gmx.de>2020-05-16 21:35:13 +0200
commit1cc37afdb743d9478176533084a252b45c75557c (patch)
tree302f262e4c58ad4e5497355f736633afd70ded22
parentonedrive-2.4.1 (diff)
downloaddlang-1cc37afdb743d9478176533084a252b45c75557c.tar.gz
dlang-1cc37afdb743d9478176533084a252b45c75557c.tar.bz2
dlang-1cc37afdb743d9478176533084a252b45c75557c.zip
repository maintenance: added missiing onedrive manifest, removed ldc2 versions that depend on removed llvm-7 and updated gdmd KEYWORDS
Signed-off-by: Marco Leise <marco.leise@gmx.de>
-rw-r--r--dev-lang/ldc2/Manifest3
-rw-r--r--dev-lang/ldc2/files/ldc2-1.12.0-llvm-7.1.0-compatibility.patch18
-rw-r--r--dev-lang/ldc2/files/ldc2-1.13.0-llvm-7.1.0-compatibility.patch16
-rw-r--r--dev-lang/ldc2/files/ldc2-1.15.0-link-defaultlib-shared.patch (renamed from dev-lang/ldc2/files/ldc2-1.12.0-link-defaultlib-shared.patch)6
-rw-r--r--dev-lang/ldc2/ldc2-1.12.0-r2.ebuild82
-rw-r--r--dev-lang/ldc2/ldc2-1.13.0-r2.ebuild82
-rw-r--r--dev-lang/ldc2/ldc2-1.14.0-r2.ebuild82
-rw-r--r--dev-lang/ldc2/ldc2-1.15.0-r2.ebuild6
-rw-r--r--dev-lang/ldc2/ldc2-1.16.0.ebuild6
-rw-r--r--dev-lang/ldc2/ldc2-1.17.0.ebuild6
-rw-r--r--dev-lang/ldc2/ldc2-1.18.0.ebuild4
-rw-r--r--dev-lang/ldc2/ldc2-1.19.0.ebuild4
-rw-r--r--dev-lang/ldc2/ldc2-1.20.1.ebuild4
-rw-r--r--dev-util/gdmd/gdmd-9.2.0.ebuild2
-rw-r--r--dev-util/gdmd/gdmd-9.3.0.ebuild2
-rw-r--r--eclass/dlang-compilers.eclass9
-rw-r--r--net-misc/onedrive/Manifest2
-rw-r--r--profiles/use.desc3
18 files changed, 18 insertions, 319 deletions
diff --git a/dev-lang/ldc2/Manifest b/dev-lang/ldc2/Manifest
index 84b7208..157e50c 100644
--- a/dev-lang/ldc2/Manifest
+++ b/dev-lang/ldc2/Manifest
@@ -1,6 +1,3 @@
-DIST ldc-1.12.0-src.tar.gz 6782018 BLAKE2B 18c15098518048e23bd19f3076da8824642014d167673c6c25d9ba0ac8185a2d2254d9353833738f6a5594f971e7d5f9a579aeae785738c3cd840b543f1f6d62 SHA512 1b62b1dc06fb4ea8865a69a227d05627583813b0598cc1dcb8bbdb028a40c6dd0a0cc6d8e445c80e92d30158cf77f83fa5784b695062f625f17e031387da3e5a
-DIST ldc-1.13.0-src.tar.gz 6773063 BLAKE2B 91ea5836f7cfbd492983ed8c68af3db147e494d6c26a13caa87fe4f00f32172d3ca0c5a5b081e3dad749f08a853c6419f843b28c1294451de62acf819e189d3f SHA512 6c513232d1eeae16eebe7c5fc1b22c42d5967894cc5594d718e7675c6daad50b696a06a99d959b47846f4a74395f6efb9e4517d549d6f121cec86f96bdb46871
-DIST ldc-1.14.0-src.tar.gz 6841607 BLAKE2B 3e1024f76b8646a4951029a9c867ae763085e44f7e5af531b84a20095ff0253ddcb8b5abb2039eb6002cd3b7d64f5cf68b2b2b37d1accfcc57824acde2af9dcf SHA512 9876bf45a4b2472dd7d26e4ed40ea0075dc598e574a27bdb9d6a9ea5a01263446f0a92100535f17de9620d82d13b9e30ecbbb7bf330673dc0dc3da06247ddba2
DIST ldc-1.15.0-src.tar.gz 6949021 BLAKE2B ba2488c0ce247c1f00cd4ac6206605221d9a0eed8bb637fa661676034709efd5aa6ce1cb2d314d1472d5a78a382e622bd9170653c2e3fac40f2d644aa08fdc3d SHA512 acc180d0f01f2ff261a131de74b5630568da4b16acbe4c557ba36f3ca5606edeb9c7af8c8733927f174f4512812aabaa95cf2bff340c991c17ca4b50d7e3da87
DIST ldc-1.16.0-src.tar.gz 6995348 BLAKE2B 3437d2c1f64e17793c1564c19fdd41d5a881f1c3274a0e265b10b66a59b752436222395811354e9fea58dae0573c873f64f3c5de88c1681e4e78c74e618f9892 SHA512 afd9675ce0929a8acb1084becb47d2d30d40fcd3836a55713a9ac128d12764b7eefb5e04c2eae432c4e138aa64c3d8d248745dcfeb2fa134f66fb11ddc30743e
DIST ldc-1.17.0-src.tar.gz 7084805 BLAKE2B 1379ad77c0e489fea43b646a5d6cf5aa54e76b2cefe00686c69bb1c9b0caf42da7a0e24fb6d0f08c10fab9fd32e3ccb01b6702319ea73c782e3dca0a51bf6c08 SHA512 72a50b16cef63b30863b41571d14aad30b5fc25ea7859014d596c41360693da46dcf3f208195d9319fc2f4ef472ac3c86a0c552b19222cc05e491cb8cbcee38c
diff --git a/dev-lang/ldc2/files/ldc2-1.12.0-llvm-7.1.0-compatibility.patch b/dev-lang/ldc2/files/ldc2-1.12.0-llvm-7.1.0-compatibility.patch
deleted file mode 100644
index 98d4546..0000000
--- a/dev-lang/ldc2/files/ldc2-1.12.0-llvm-7.1.0-compatibility.patch
+++ /dev/null
@@ -1,18 +0,0 @@
---- a/runtime/druntime/src/ldc/intrinsics.di
-+++ b/runtime/druntime/src/ldc/intrinsics.di
-@@ -61,6 +61,15 @@
- version = INTRINSICS_FROM_600;
- version = INTRINSICS_FROM_700;
- }
-+else version (LDC_LLVM_701)
-+{
-+ version = INTRINSICS_FROM_308;
-+ version = INTRINSICS_FROM_309;
-+ version = INTRINSICS_FROM_400;
-+ version = INTRINSICS_FROM_500;
-+ version = INTRINSICS_FROM_600;
-+ version = INTRINSICS_FROM_700;
-+}
- else
- {
- static assert(false, "LDC LLVM version not supported");
diff --git a/dev-lang/ldc2/files/ldc2-1.13.0-llvm-7.1.0-compatibility.patch b/dev-lang/ldc2/files/ldc2-1.13.0-llvm-7.1.0-compatibility.patch
deleted file mode 100644
index 744f53a..0000000
--- a/dev-lang/ldc2/files/ldc2-1.13.0-llvm-7.1.0-compatibility.patch
+++ /dev/null
@@ -1,16 +0,0 @@
---- a/runtime/druntime/src/ldc/intrinsics.di
-+++ b/runtime/druntime/src/ldc/intrinsics.di
-@@ -44,6 +44,13 @@
- version = INTRINSICS_FROM_600;
- version = INTRINSICS_FROM_700;
- }
-+else version (LDC_LLVM_701)
-+{
-+ version = INTRINSICS_FROM_400;
-+ version = INTRINSICS_FROM_500;
-+ version = INTRINSICS_FROM_600;
-+ version = INTRINSICS_FROM_700;
-+}
- else version (LDC_LLVM_800)
- {
- version = INTRINSICS_FROM_400;
diff --git a/dev-lang/ldc2/files/ldc2-1.12.0-link-defaultlib-shared.patch b/dev-lang/ldc2/files/ldc2-1.15.0-link-defaultlib-shared.patch
index bbbc8f8..360634c 100644
--- a/dev-lang/ldc2/files/ldc2-1.12.0-link-defaultlib-shared.patch
+++ b/dev-lang/ldc2/files/ldc2-1.15.0-link-defaultlib-shared.patch
@@ -1,11 +1,11 @@
--- a/runtime/CMakeLists.txt
+++ b/runtime/CMakeLists.txt
-@@ -249,7 +249,7 @@
-
+@@ -252,7 +252,7 @@
+
# Only have either shared or static libs?
# Then explicitly default to linking against them via default LDC switch.
-if(${BUILD_SHARED_LIBS} STREQUAL "ON")
+if(NOT ${BUILD_SHARED_LIBS} STREQUAL "OFF")
set(ADDITIONAL_DEFAULT_LDC_SWITCHES "${ADDITIONAL_DEFAULT_LDC_SWITCHES}\n \"-link-defaultlib-shared\",")
elseif(${BUILD_SHARED_LIBS} STREQUAL "OFF")
- set(ADDITIONAL_DEFAULT_LDC_SWITCHES "${ADDITIONAL_DEFAULT_LDC_SWITCHES}\n \"-link-defaultlib-shared=false\",")
+ set(ADDITIONAL_DEFAULT_LDC_SWITCHES "${ADDITIONAL_DEFAULT_LDC_SWITCHES}\n \"-link-defaultlib-shared=false\",")
diff --git a/dev-lang/ldc2/ldc2-1.12.0-r2.ebuild b/dev-lang/ldc2/ldc2-1.12.0-r2.ebuild
deleted file mode 100644
index 7c3e1fc..0000000
--- a/dev-lang/ldc2/ldc2-1.12.0-r2.ebuild
+++ /dev/null
@@ -1,82 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit multilib-build cmake-utils eapi7-ver llvm
-
-MY_PV="${PV//_/-}"
-MY_P="ldc-${MY_PV}-src"
-SRC_URI="https://github.com/ldc-developers/ldc/releases/download/v${MY_PV}/${MY_P}.tar.gz"
-S=${WORKDIR}/${MY_P}
-
-DESCRIPTION="LLVM D Compiler"
-HOMEPAGE="https://ldc-developers.github.com/ldc"
-KEYWORDS="amd64 ~arm ~arm64 ~ppc64 x86"
-LICENSE="BSD"
-SLOT="$(ver_cut 1-2)/$(ver_cut 3)"
-
-IUSE="static-libs"
-
-# We support LLVM 3.7 through 7.
-RDEPEND="|| (
- sys-devel/llvm:7
- )
- <sys-devel/llvm-8:=
- >=app-eselect/eselect-dlang-20140709"
-DEPEND=">=dev-util/cmake-2.8
- ${RDEPEND}"
-LLVM_MAX_SLOT=7
-PATCHES="${FILESDIR}/ldc2-1.12.0-link-defaultlib-shared.patch
- ${FILESDIR}/ldc2-1.12.0-llvm-7.1.0-compatibility.patch"
-
-# For now, we support amd64 multilib. Anyone is free to add more support here.
-MULTILIB_COMPAT=( abi_x86_{32,64} )
-
-DLANG_VERSION_RANGE="2.068-"
-DLANG_PACKAGE_TYPE="single"
-
-inherit dlang
-
-detect_hardened() {
- gcc --version | grep -o Hardened
-}
-
-src_prepare() {
- cmake-utils_src_prepare
-}
-
-d_src_configure() {
- # Make sure libphobos2 is installed into ldc2's directory.
- export LIBDIR_${ABI}="${LIBDIR_HOST}"
- local mycmakeargs=(
- -DD_VERSION=2
- -DCMAKE_INSTALL_PREFIX=/usr/lib/ldc2/$(ver_cut 1-2)
- -DD_COMPILER="${DMD}"
- -DD_COMPILER_DMD_COMPAT=1
- -DLDC_WITH_LLD=OFF
- )
- use static-libs && mycmakeargs+=( -DBUILD_SHARED_LIBS=BOTH ) || mycmakeargs+=( -DBUILD_SHARED_LIBS=ON )
- use abi_x86_32 && use abi_x86_64 && mycmakeargs+=( -DMULTILIB=ON )
- detect_hardened && mycmakeargs+=( -DADDITIONAL_DEFAULT_LDC_SWITCHES=', "-relocation-model=pic"' )
- cmake-utils_src_configure
-}
-
-d_src_compile() {
- cmake-utils_src_make
-}
-
-d_src_install() {
- cmake-utils_src_install
-
- rm -rf "${ED}"/usr/share/bash-completion
-}
-
-pkg_postinst() {
- # Update active ldc2
- "${ROOT}"/usr/bin/eselect dlang update ldc2
-}
-
-pkg_postrm() {
- "${ROOT}"/usr/bin/eselect dlang update ldc2
-}
diff --git a/dev-lang/ldc2/ldc2-1.13.0-r2.ebuild b/dev-lang/ldc2/ldc2-1.13.0-r2.ebuild
deleted file mode 100644
index 90148f2..0000000
--- a/dev-lang/ldc2/ldc2-1.13.0-r2.ebuild
+++ /dev/null
@@ -1,82 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit multilib-build cmake-utils eapi7-ver llvm
-
-MY_PV="${PV//_/-}"
-MY_P="ldc-${MY_PV}-src"
-SRC_URI="https://github.com/ldc-developers/ldc/releases/download/v${MY_PV}/${MY_P}.tar.gz"
-S=${WORKDIR}/${MY_P}
-
-DESCRIPTION="LLVM D Compiler"
-HOMEPAGE="https://ldc-developers.github.com/ldc"
-KEYWORDS="amd64 ~arm ~arm64 ~ppc64 x86"
-LICENSE="BSD"
-SLOT="$(ver_cut 1-2)/$(ver_cut 3)"
-
-IUSE="static-libs"
-
-# We support LLVM 3.9 through 7.
-RDEPEND="|| (
- sys-devel/llvm:7
- )
- <sys-devel/llvm-8:=
- >=app-eselect/eselect-dlang-20140709"
-DEPEND=">=dev-util/cmake-2.8
- ${RDEPEND}"
-LLVM_MAX_SLOT=7
-PATCHES="${FILESDIR}/ldc2-1.12.0-link-defaultlib-shared.patch
- ${FILESDIR}/ldc2-1.13.0-llvm-7.1.0-compatibility.patch"
-
-# For now, we support amd64 multilib. Anyone is free to add more support here.
-MULTILIB_COMPAT=( abi_x86_{32,64} )
-
-DLANG_VERSION_RANGE="2.068-"
-DLANG_PACKAGE_TYPE="single"
-
-inherit dlang
-
-detect_hardened() {
- gcc --version | grep -o Hardened
-}
-
-src_prepare() {
- cmake-utils_src_prepare
-}
-
-d_src_configure() {
- # Make sure libphobos2 is installed into ldc2's directory.
- export LIBDIR_${ABI}="${LIBDIR_HOST}"
- local mycmakeargs=(
- -DD_VERSION=2
- -DCMAKE_INSTALL_PREFIX=/usr/lib/ldc2/$(ver_cut 1-2)
- -DD_COMPILER="${DMD}"
- -DD_COMPILER_DMD_COMPAT=1
- -DLDC_WITH_LLD=OFF
- )
- use static-libs && mycmakeargs+=( -DBUILD_SHARED_LIBS=BOTH ) || mycmakeargs+=( -DBUILD_SHARED_LIBS=ON )
- use abi_x86_32 && use abi_x86_64 && mycmakeargs+=( -DMULTILIB=ON )
- detect_hardened && mycmakeargs+=( -DADDITIONAL_DEFAULT_LDC_SWITCHES=', "-relocation-model=pic"' )
- cmake-utils_src_configure
-}
-
-d_src_compile() {
- cmake-utils_src_make
-}
-
-d_src_install() {
- cmake-utils_src_install
-
- rm -rf "${ED}"/usr/share/bash-completion
-}
-
-pkg_postinst() {
- # Update active ldc2
- "${ROOT}"/usr/bin/eselect dlang update ldc2
-}
-
-pkg_postrm() {
- "${ROOT}"/usr/bin/eselect dlang update ldc2
-}
diff --git a/dev-lang/ldc2/ldc2-1.14.0-r2.ebuild b/dev-lang/ldc2/ldc2-1.14.0-r2.ebuild
deleted file mode 100644
index 90148f2..0000000
--- a/dev-lang/ldc2/ldc2-1.14.0-r2.ebuild
+++ /dev/null
@@ -1,82 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit multilib-build cmake-utils eapi7-ver llvm
-
-MY_PV="${PV//_/-}"
-MY_P="ldc-${MY_PV}-src"
-SRC_URI="https://github.com/ldc-developers/ldc/releases/download/v${MY_PV}/${MY_P}.tar.gz"
-S=${WORKDIR}/${MY_P}
-
-DESCRIPTION="LLVM D Compiler"
-HOMEPAGE="https://ldc-developers.github.com/ldc"
-KEYWORDS="amd64 ~arm ~arm64 ~ppc64 x86"
-LICENSE="BSD"
-SLOT="$(ver_cut 1-2)/$(ver_cut 3)"
-
-IUSE="static-libs"
-
-# We support LLVM 3.9 through 7.
-RDEPEND="|| (
- sys-devel/llvm:7
- )
- <sys-devel/llvm-8:=
- >=app-eselect/eselect-dlang-20140709"
-DEPEND=">=dev-util/cmake-2.8
- ${RDEPEND}"
-LLVM_MAX_SLOT=7
-PATCHES="${FILESDIR}/ldc2-1.12.0-link-defaultlib-shared.patch
- ${FILESDIR}/ldc2-1.13.0-llvm-7.1.0-compatibility.patch"
-
-# For now, we support amd64 multilib. Anyone is free to add more support here.
-MULTILIB_COMPAT=( abi_x86_{32,64} )
-
-DLANG_VERSION_RANGE="2.068-"
-DLANG_PACKAGE_TYPE="single"
-
-inherit dlang
-
-detect_hardened() {
- gcc --version | grep -o Hardened
-}
-
-src_prepare() {
- cmake-utils_src_prepare
-}
-
-d_src_configure() {
- # Make sure libphobos2 is installed into ldc2's directory.
- export LIBDIR_${ABI}="${LIBDIR_HOST}"
- local mycmakeargs=(
- -DD_VERSION=2
- -DCMAKE_INSTALL_PREFIX=/usr/lib/ldc2/$(ver_cut 1-2)
- -DD_COMPILER="${DMD}"
- -DD_COMPILER_DMD_COMPAT=1
- -DLDC_WITH_LLD=OFF
- )
- use static-libs && mycmakeargs+=( -DBUILD_SHARED_LIBS=BOTH ) || mycmakeargs+=( -DBUILD_SHARED_LIBS=ON )
- use abi_x86_32 && use abi_x86_64 && mycmakeargs+=( -DMULTILIB=ON )
- detect_hardened && mycmakeargs+=( -DADDITIONAL_DEFAULT_LDC_SWITCHES=', "-relocation-model=pic"' )
- cmake-utils_src_configure
-}
-
-d_src_compile() {
- cmake-utils_src_make
-}
-
-d_src_install() {
- cmake-utils_src_install
-
- rm -rf "${ED}"/usr/share/bash-completion
-}
-
-pkg_postinst() {
- # Update active ldc2
- "${ROOT}"/usr/bin/eselect dlang update ldc2
-}
-
-pkg_postrm() {
- "${ROOT}"/usr/bin/eselect dlang update ldc2
-}
diff --git a/dev-lang/ldc2/ldc2-1.15.0-r2.ebuild b/dev-lang/ldc2/ldc2-1.15.0-r2.ebuild
index 72eecd3..54ffbec 100644
--- a/dev-lang/ldc2/ldc2-1.15.0-r2.ebuild
+++ b/dev-lang/ldc2/ldc2-1.15.0-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -21,15 +21,13 @@ IUSE="static-libs"
# We support LLVM 3.9 through 8.
RDEPEND="|| (
sys-devel/llvm:8
- sys-devel/llvm:7
)
<sys-devel/llvm-9:=
>=app-eselect/eselect-dlang-20140709"
DEPEND=">=dev-util/cmake-2.8
${RDEPEND}"
LLVM_MAX_SLOT=8
-PATCHES="${FILESDIR}/ldc2-1.12.0-link-defaultlib-shared.patch
- ${FILESDIR}/ldc2-1.13.0-llvm-7.1.0-compatibility.patch"
+PATCHES="${FILESDIR}/ldc2-1.15.0-link-defaultlib-shared.patch"
# For now, we support amd64 multilib. Anyone is free to add more support here.
MULTILIB_COMPAT=( abi_x86_{32,64} )
diff --git a/dev-lang/ldc2/ldc2-1.16.0.ebuild b/dev-lang/ldc2/ldc2-1.16.0.ebuild
index 72eecd3..54ffbec 100644
--- a/dev-lang/ldc2/ldc2-1.16.0.ebuild
+++ b/dev-lang/ldc2/ldc2-1.16.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -21,15 +21,13 @@ IUSE="static-libs"
# We support LLVM 3.9 through 8.
RDEPEND="|| (
sys-devel/llvm:8
- sys-devel/llvm:7
)
<sys-devel/llvm-9:=
>=app-eselect/eselect-dlang-20140709"
DEPEND=">=dev-util/cmake-2.8
${RDEPEND}"
LLVM_MAX_SLOT=8
-PATCHES="${FILESDIR}/ldc2-1.12.0-link-defaultlib-shared.patch
- ${FILESDIR}/ldc2-1.13.0-llvm-7.1.0-compatibility.patch"
+PATCHES="${FILESDIR}/ldc2-1.15.0-link-defaultlib-shared.patch"
# For now, we support amd64 multilib. Anyone is free to add more support here.
MULTILIB_COMPAT=( abi_x86_{32,64} )
diff --git a/dev-lang/ldc2/ldc2-1.17.0.ebuild b/dev-lang/ldc2/ldc2-1.17.0.ebuild
index 72eecd3..54ffbec 100644
--- a/dev-lang/ldc2/ldc2-1.17.0.ebuild
+++ b/dev-lang/ldc2/ldc2-1.17.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -21,15 +21,13 @@ IUSE="static-libs"
# We support LLVM 3.9 through 8.
RDEPEND="|| (
sys-devel/llvm:8
- sys-devel/llvm:7
)
<sys-devel/llvm-9:=
>=app-eselect/eselect-dlang-20140709"
DEPEND=">=dev-util/cmake-2.8
${RDEPEND}"
LLVM_MAX_SLOT=8
-PATCHES="${FILESDIR}/ldc2-1.12.0-link-defaultlib-shared.patch
- ${FILESDIR}/ldc2-1.13.0-llvm-7.1.0-compatibility.patch"
+PATCHES="${FILESDIR}/ldc2-1.15.0-link-defaultlib-shared.patch"
# For now, we support amd64 multilib. Anyone is free to add more support here.
MULTILIB_COMPAT=( abi_x86_{32,64} )
diff --git a/dev-lang/ldc2/ldc2-1.18.0.ebuild b/dev-lang/ldc2/ldc2-1.18.0.ebuild
index 3b4deda..f53f4fa 100644
--- a/dev-lang/ldc2/ldc2-1.18.0.ebuild
+++ b/dev-lang/ldc2/ldc2-1.18.0.ebuild
@@ -22,7 +22,6 @@ IUSE="static-libs"
RDEPEND="|| (
sys-devel/llvm:9
sys-devel/llvm:8
- sys-devel/llvm:7
)
<sys-devel/llvm-10:=
>=app-eselect/eselect-dlang-20140709"
@@ -30,8 +29,7 @@ DEPEND=">=dev-util/cmake-3.8
dev-util/ninja
${RDEPEND}"
LLVM_MAX_SLOT=9
-PATCHES="${FILESDIR}/ldc2-1.12.0-link-defaultlib-shared.patch
- ${FILESDIR}/ldc2-1.13.0-llvm-7.1.0-compatibility.patch
+PATCHES="${FILESDIR}/ldc2-1.15.0-link-defaultlib-shared.patch\
${FILESDIR}/ldc2-1.18.0-FileCheck-not.patch"
# For now, we support amd64 multilib. Anyone is free to add more support here.
diff --git a/dev-lang/ldc2/ldc2-1.19.0.ebuild b/dev-lang/ldc2/ldc2-1.19.0.ebuild
index 7819660..75a1e0d 100644
--- a/dev-lang/ldc2/ldc2-1.19.0.ebuild
+++ b/dev-lang/ldc2/ldc2-1.19.0.ebuild
@@ -22,7 +22,6 @@ IUSE="static-libs"
RDEPEND="|| (
sys-devel/llvm:9
sys-devel/llvm:8
- sys-devel/llvm:7
)
<sys-devel/llvm-10:=
>=app-eselect/eselect-dlang-20140709"
@@ -30,8 +29,7 @@ DEPEND=">=dev-util/cmake-3.8
dev-util/ninja
${RDEPEND}"
LLVM_MAX_SLOT=9
-PATCHES="${FILESDIR}/ldc2-1.12.0-link-defaultlib-shared.patch
- ${FILESDIR}/ldc2-1.13.0-llvm-7.1.0-compatibility.patch"
+PATCHES="${FILESDIR}/ldc2-1.15.0-link-defaultlib-shared.patch"
# For now, we support amd64 multilib. Anyone is free to add more support here.
MULTILIB_COMPAT=( abi_x86_{32,64} )
diff --git a/dev-lang/ldc2/ldc2-1.20.1.ebuild b/dev-lang/ldc2/ldc2-1.20.1.ebuild
index 16dcaa5..edd90cf 100644
--- a/dev-lang/ldc2/ldc2-1.20.1.ebuild
+++ b/dev-lang/ldc2/ldc2-1.20.1.ebuild
@@ -23,7 +23,6 @@ RDEPEND="|| (
sys-devel/llvm:10
sys-devel/llvm:9
sys-devel/llvm:8
- sys-devel/llvm:7
)
<sys-devel/llvm-11:=
>=app-eselect/eselect-dlang-20140709"
@@ -31,8 +30,7 @@ DEPEND=">=dev-util/cmake-3.8
dev-util/ninja
${RDEPEND}"
LLVM_MAX_SLOT=10
-PATCHES="${FILESDIR}/ldc2-1.12.0-link-defaultlib-shared.patch
- ${FILESDIR}/ldc2-1.13.0-llvm-7.1.0-compatibility.patch"
+PATCHES="${FILESDIR}/ldc2-1.15.0-link-defaultlib-shared.patch"
# For now, we support amd64 multilib. Anyone is free to add more support here.
MULTILIB_COMPAT=( abi_x86_{32,64} )
diff --git a/dev-util/gdmd/gdmd-9.2.0.ebuild b/dev-util/gdmd/gdmd-9.2.0.ebuild
index 736a9b1..1defbac 100644
--- a/dev-util/gdmd/gdmd-9.2.0.ebuild
+++ b/dev-util/gdmd/gdmd-9.2.0.ebuild
@@ -8,7 +8,7 @@ HOMEPAGE="http://www.gdcproject.org/"
LICENSE="GPL-3+"
SLOT="${PV}"
-KEYWORDS="amd64 arm arm64 hppa ~ia64 m68k ~mips ppc ppc64 ~riscv s390 sparc x86"
+KEYWORDS="amd64 arm arm64 ~ia64 m68k ~mips ppc ppc64 ~riscv s390 x86"
RDEPEND="=sys-devel/gcc-${PV}*[d]"
RELEASE="0.1.0"
SRC_URI="https://codeload.github.com/D-Programming-GDC/gdmd/tar.gz/script-${RELEASE} -> gdmd-${RELEASE}.tar.gz"
diff --git a/dev-util/gdmd/gdmd-9.3.0.ebuild b/dev-util/gdmd/gdmd-9.3.0.ebuild
index e86456b..4a379f7 100644
--- a/dev-util/gdmd/gdmd-9.3.0.ebuild
+++ b/dev-util/gdmd/gdmd-9.3.0.ebuild
@@ -8,7 +8,7 @@ HOMEPAGE="http://www.gdcproject.org/"
LICENSE="GPL-3+"
SLOT="${PV}"
-KEYWORDS="amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="amd64 arm arm64 ~ia64 ~m68k ~mips ppc ppc64 ~riscv s390 x86"
RDEPEND="=sys-devel/gcc-${PV}*[d]"
RELEASE="0.1.0"
SRC_URI="https://codeload.github.com/D-Programming-GDC/gdmd/tar.gz/script-${RELEASE} -> gdmd-${RELEASE}.tar.gz"
diff --git a/eclass/dlang-compilers.eclass b/eclass/dlang-compilers.eclass
index b7d769d..6600eee 100644
--- a/eclass/dlang-compilers.eclass
+++ b/eclass/dlang-compilers.eclass
@@ -44,17 +44,14 @@ dlang-compilers_declare_versions() {
["2.090"]="2.089 x86 amd64"
)
- # GDC (alpha, hppa, sparc: masked "d" USE-flag)
+ # GDC (hppa, sparc: masked "d" USE-flag)
__dlang_gdc_frontend=(
- ["9.2.0"]="2.076 amd64 arm arm64 hppa ~ia64 m68k ~mips ppc ppc64 ~riscv s390 sparc x86"
- ["9.3.0"]="2.076 amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+ ["9.2.0"]="2.076 amd64 arm arm64 ~ia64 m68k ~mips ppc ppc64 ~riscv s390 x86"
+ ["9.3.0"]="2.076 amd64 arm arm64 ~ia64 ~m68k ~mips ppc ppc64 ~riscv s390 x86"
)
# LDC
__dlang_ldc2_frontend=(
- ["1.12"]="2.082 amd64 ~arm ~arm64 ~ppc64 x86"
- ["1.13"]="2.083 amd64 ~arm ~arm64 ~ppc64 x86"
- ["1.14"]="2.084 amd64 ~arm ~arm64 ~ppc64 x86"
["1.15"]="2.085 amd64 ~arm ~arm64 ~ppc64 x86"
["1.16"]="2.086 amd64 ~arm ~arm64 ~ppc64 x86"
["1.17"]="2.087 amd64 ~arm ~arm64 ~ppc64 x86"
diff --git a/net-misc/onedrive/Manifest b/net-misc/onedrive/Manifest
index 752401e..63e9065 100644
--- a/net-misc/onedrive/Manifest
+++ b/net-misc/onedrive/Manifest
@@ -1,2 +1,2 @@
-DIST onedrive-2.3.13.tar.gz 662746 BLAKE2B c49b5a27bb1d9288c0e56fa639470ba92a04d69a2ee3d8a7765dc9f68269ccd597c10db0b00ec51ca694ce9026c80f1a247e81afb44d4a4ae03fa99b6abbc433 SHA512 fe5ec03b9f80bffb96e69599184aba2c285fec02f3fb5480796f78b170a6763ae93d613b10a007391a9ad5c4ec5215caa7f3b3b48d76a9493a84dcd3b9a6889d
DIST onedrive-2.4.0.tar.gz 670382 BLAKE2B 1b6adfe6c1eecb3a32461a2a12c1bcae4db534b6fa73bddda2787317dd9285c17081fdeb783c1362e055eaed4ebbe2f2aec5f5bdc80640e9d90e4fd73fa525c8 SHA512 57c57c716b95ab2d517f73a849938dfa49a167d548050eefd4729a5c2ff128072dcc5ca0633eb6eb7722d45533e767dd03b5c7ea529652d36b087d4ab57a542c
+DIST onedrive-2.4.1.tar.gz 681397 BLAKE2B 41ceec5c6f8e1d2cdb49d74514b7ae68f3dad1795f4d0c95e0e1fd2bacb24dfc4de5709bb831bc7412e626013ed6764f289b57cd96c60c7be2709ece52682e6c SHA512 0844efcacffba5d0473867e803e96869d350c3d1f3b75f374a17899be3469f96ea83e51f69eb1a9a73b8735320b9131a3e2fa782e249980de7639dba9dc2fa0a
diff --git a/profiles/use.desc b/profiles/use.desc
index 490357b..d9d57cf 100644
--- a/profiles/use.desc
+++ b/profiles/use.desc
@@ -28,9 +28,6 @@ dmd-2_089 - Build for DMD 2.089
dmd-2_090 - Build for DMD 2.090
gdc-9_2_0 - Build for GCC 9.2.0
gdc-9_3_0 - Build for GCC 9.3.0
-ldc2-1_12 - Build for ldc2 1.12
-ldc2-1_13 - Build for ldc2 1.13
-ldc2-1_14 - Build for ldc2 1.14
ldc2-1_15 - Build for ldc2 1.15
ldc2-1_16 - Build for ldc2 1.16
ldc2-1_17 - Build for ldc2 1.17